umbrello: ToolBarStateFactory Class Reference

umbrello 2.38.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ToolBarStateFactory Class Reference

`#include <toolbarstatefactory.h>`

## Public Member Functions
| ToolBarStateFactory ()
virtual | ~ToolBarStateFactory ()
ToolBarState * | getState (const WorkToolBar::ToolBar_Buttons &toolbarButton, UMLScene *umlScene)

## Protected Member Functions
int | getKey (const WorkToolBar::ToolBar_Buttons &toolbarButton) const

## Protected Attributes
QPointer< ToolBarState > | m_states [NR_OF_TOOLBAR_STATES]

## Detailed Description

The ToolBarStateFactory keeps track of all the toolbar states. For the first request, the factory creates a new state object. The next requests to this object, this factory will return the existing object.

States that inherit from the ToolBarStatePool share multiple toolbar states. Therefore the setButton function is called. Internally the shared state object determines the exact behavior by itself.

## Constructor & Destructor Documentation

## ◆ ToolBarStateFactory()

ToolBarStateFactory::ToolBarStateFactory | ( |  | ) |

## ◆ ~ToolBarStateFactory()

ToolBarStateFactory::~ToolBarStateFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getKey()

int ToolBarStateFactory::getKey | ( | const WorkToolBar::ToolBar_Buttons & | toolbarButton | ) | const
| protected

## ◆ getState()

ToolBarState * ToolBarStateFactory::getState | ( | const WorkToolBar::ToolBar_Buttons & | toolbarButton,
|  | UMLScene * | umlScene
| ) |  |

## Member Data Documentation

## ◆ m_states

QPointer<ToolBarState> ToolBarStateFactory::m_states[NR_OF_TOOLBAR_STATES]
| protected

The documentation for this class was generated from the following files:

- umbrello/toolbarstatefactory.h
- umbrello/toolbarstatefactory.cpp